Skip to main content
POST
/
v1
/
tx
/
build
/
vote-delegation
Build a vote delegation transaction
curl --request POST \
  --url https://nexus-dev.gerowallet.io/v1/tx/build/vote-delegation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "stakeAddress": "<string>",
  "drepId": "<string>",
  "changeAddress": "<string>",
  "poolId": "<string>",
  "utxos": [
    {
      "txHash": "<string>",
      "address": "<string>",
      "lovelace": "<string>",
      "outputIndex": 1,
      "assets": [
        {
          "policyId": "<string>",
          "assetName": "<string>",
          "quantity": "<string>"
        }
      ],
      "dataHash": "<string>",
      "inlineDatum": "<string>",
      "referenceScriptHash": "<string>"
    }
  ],
  "senderAddress": "<string>",
  "includeStakeRegistration": true,
  "compensationBasisPoints": 123,
  "ttl": 123
}
'
{
  "tx_cbor": "<string>",
  "tx_hash": "<string>",
  "estimated_fee": "<string>",
  "estimated_signatures": 123
}

Documentation Index

Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Token Authentication

Query Parameters

network
enum<string>
Available options:
MAINNET,
PREPROD

Body

application/json
stakeAddress
string
required
Maximum string length: 256
drepId
string
required
Maximum string length: 128
changeAddress
string
required
Maximum string length: 256
poolId
string
utxos
object[]
Maximum array length: 200
senderAddress
string
network
enum<string>
Available options:
MAINNET,
PREPROD
includeStakeRegistration
boolean
compensationBasisPoints
integer<int32>
Required range: x <= 10000
ttl
integer<int64>

Response

Vote delegation transaction built successfully

tx_cbor
string
tx_hash
string
estimated_fee
string
estimated_signatures
integer<int32>